!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-29 12:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 183

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1281)
  integer, parameter :: nGC_5141 = 1
  integer, parameter :: nGC_5134 = 2
  integer, parameter :: nGC_5137 = 3
  integer, parameter :: nGC_5136 = 4
  integer, parameter :: nGC_5133 = 5
  integer, parameter :: nGC_5132 = 6
  integer, parameter :: nGC_5158 = 7
  integer, parameter :: nGC_5139 = 8
  integer, parameter :: nGC_5138 = 9
  integer, parameter :: nGC_5440 = 10
  integer, parameter :: nGC_5443 = 11
  integer, parameter :: nGC_5442 = 12
  integer, parameter :: nGC_5445 = 13
  integer, parameter :: nGC_5444 = 14
  integer, parameter :: nGC_5446 = 15
  integer, parameter :: nGC_5449 = 16
  integer, parameter :: nGC_5439 = 17
  integer, parameter :: nGC_5395 = 18
  integer, parameter :: nGC_5218 = 19
  integer, parameter :: nGC_5297 = 20
  integer, parameter :: nGC_5424 = 21
  integer, parameter :: nGC_5148 = 22
  integer, parameter :: nGC_5066 = 23
  integer, parameter :: nGC_83 = 24
  integer, parameter :: nGC_5131 = 25
  integer, parameter :: nGC_5130 = 26
  integer, parameter :: nGC_5312 = 27
  integer, parameter :: nGC_5295 = 28
  integer, parameter :: nGC_5347 = 29
  integer, parameter :: nGC_5344 = 30
  integer, parameter :: nGC_5345 = 31
  integer, parameter :: nGC_5229 = 32
  integer, parameter :: nGC_5341 = 33
  integer, parameter :: nGC_5224 = 34
  integer, parameter :: nGC_5227 = 35
  integer, parameter :: nGC_5226 = 36
  integer, parameter :: nGC_5221 = 37
  integer, parameter :: nGC_5220 = 38
  integer, parameter :: nGC_5223 = 39
  integer, parameter :: nGC_5222 = 40
  integer, parameter :: nGC_MZ_GF = 41
  integer, parameter :: nGC_98 = 42
  integer, parameter :: nGC_5253 = 43
  integer, parameter :: nGC_102 = 44
  integer, parameter :: nGC_97 = 45
  integer, parameter :: nGC_28 = 46
  integer, parameter :: nGC_29 = 47
  integer, parameter :: nGC_22 = 48
  integer, parameter :: nGC_23 = 49
  integer, parameter :: nGC_20 = 50
  integer, parameter :: nGC_21 = 51
  integer, parameter :: nGC_26 = 52
  integer, parameter :: nGC_27 = 53
  integer, parameter :: nGC_24 = 54
  integer, parameter :: nGC_25 = 55
  integer, parameter :: nGC_152 = 56
  integer, parameter :: nGC_150 = 57
  integer, parameter :: nGC_157 = 58
  integer, parameter :: nGC_156 = 59
  integer, parameter :: nGC_154 = 60
  integer, parameter :: nGC_159 = 61
  integer, parameter :: nGC_158 = 62
  integer, parameter :: nGC_5239 = 63
  integer, parameter :: nGC_91 = 64
  integer, parameter :: nGC_5336 = 65
  integer, parameter :: nGC_104 = 66
  integer, parameter :: nGC_82 = 67
  integer, parameter :: nGC_5190 = 68
  integer, parameter :: nGC_5263 = 69
  integer, parameter :: nGC_5233 = 70
  integer, parameter :: nGC_118 = 71
  integer, parameter :: nGC_148 = 72
  integer, parameter :: nGC_MWp = 73
  integer, parameter :: nGC_5230 = 74
  integer, parameter :: nGC_5196 = 75
  integer, parameter :: nGC_5405 = 76
  integer, parameter :: nGC_5404 = 77
  integer, parameter :: nGC_5407 = 78
  integer, parameter :: nGC_5231 = 79
  integer, parameter :: nGC_5401 = 80
  integer, parameter :: nGC_9198 = 81
  integer, parameter :: nGC_5408 = 82
  integer, parameter :: nGC_126 = 83
  integer, parameter :: nGC_127 = 84
  integer, parameter :: nGC_125 = 85
  integer, parameter :: nGC_122 = 86
  integer, parameter :: nGC_123 = 87
  integer, parameter :: nGC_120 = 88
  integer, parameter :: nGC_128 = 89
  integer, parameter :: nGC_129 = 90
  integer, parameter :: nGC_5281 = 91
  integer, parameter :: nGC_100 = 92
  integer, parameter :: nGC_5044 = 93
  integer, parameter :: nGC_5046 = 94
  integer, parameter :: nGC_MMW_GF = 95
  integer, parameter :: nGC_5049 = 96
  integer, parameter :: nGC_5048 = 97
  integer, parameter :: nGC_7882 = 98
  integer, parameter :: nGC_5167 = 99
  integer, parameter :: nGC_5164 = 100
  integer, parameter :: nGC_5165 = 101
  integer, parameter :: nGC_5160 = 102
  integer, parameter :: nGC_5161 = 103
  integer, parameter :: nGC_5261 = 104
  integer, parameter :: nGC_108 = 105
  integer, parameter :: nGC_141 = 106
  integer, parameter :: nGC_5170 = 107
  integer, parameter :: nGC_5309 = 108
  integer, parameter :: nGC_5303 = 109
  integer, parameter :: nGC_5301 = 110
  integer, parameter :: nGC_5307 = 111
  integer, parameter :: nGC_5304 = 112
  integer, parameter :: nGC_109 = 113
  integer, parameter :: nGC_87 = 114
  integer, parameter :: nGC_5305 = 115
  integer, parameter :: nGC_8284 = 116
  integer, parameter :: nGC_10546 = 117
  integer, parameter :: nGC_5277 = 118
  integer, parameter :: nGC_5275 = 119
  integer, parameter :: nGC_5273 = 120
  integer, parameter :: nGC_5271 = 121
  integer, parameter :: nGC_5278 = 122
  integer, parameter :: nGC_5279 = 123
  integer, parameter :: nGC_3 = 124
  integer, parameter :: nGC_2 = 125
  integer, parameter :: nGC_1 = 126
  integer, parameter :: nGC_5389 = 127
  integer, parameter :: nGC_7 = 128
  integer, parameter :: nGC_6 = 129
  integer, parameter :: nGC_5 = 130
  integer, parameter :: nGC_4 = 131
  integer, parameter :: nGC_5377 = 132
  integer, parameter :: nGC_9 = 133
  integer, parameter :: nGC_8 = 134
  integer, parameter :: nGC_5372 = 135
  integer, parameter :: nGC_5371 = 136
  integer, parameter :: nGC_5282 = 137
  integer, parameter :: nGC_53 = 138
  integer, parameter :: nGC_52 = 139
  integer, parameter :: nGC_51 = 140
  integer, parameter :: nGC_50 = 141
  integer, parameter :: nGC_57 = 142
  integer, parameter :: nGC_56 = 143
  integer, parameter :: nGC_55 = 144
  integer, parameter :: nGC_54 = 145
  integer, parameter :: nGC_59 = 146
  integer, parameter :: nGC_58 = 147
  integer, parameter :: nGC_12 = 148
  integer, parameter :: nGC_7612 = 149
  integer, parameter :: nGC_7613 = 150
  integer, parameter :: nGC_MC = 151
  integer, parameter :: nGC_5289 = 152
  integer, parameter :: nGC_10227 = 153
  integer, parameter :: nGC_162 = 154
  integer, parameter :: nGC_163 = 155
  integer, parameter :: nGC_160 = 156
  integer, parameter :: nGC_161 = 157
  integer, parameter :: nGC_5287 = 158
  integer, parameter :: nGC_687 = 159
  integer, parameter :: nGC_106 = 160
  integer, parameter :: nGC_MZp = 161
  integer, parameter :: nGC_107 = 162
  integer, parameter :: nGC_10407 = 163
  integer, parameter :: nGC_5088 = 164
  integer, parameter :: nGC_7531 = 165
  integer, parameter :: nGC_5121 = 166
  integer, parameter :: nGC_5127 = 167
  integer, parameter :: nGC_5124 = 168
  integer, parameter :: nGC_5125 = 169
  integer, parameter :: nGC_5080 = 170
  integer, parameter :: nGC_5083 = 171
  integer, parameter :: nGC_5082 = 172
  integer, parameter :: nGC_5084 = 173
  integer, parameter :: nGC_5086 = 174
  integer, parameter :: nGC_MZ = 175
  integer, parameter :: nGC_5458 = 176
  integer, parameter :: nGC_5459 = 177
  integer, parameter :: nGC_5456 = 178
  integer, parameter :: nGC_5457 = 179
  integer, parameter :: nGC_5454 = 180
  integer, parameter :: nGC_5455 = 181
  integer, parameter :: nGC_5452 = 182
  integer, parameter :: nGC_5453 = 183
  integer, parameter :: nGC_5451 = 184
  integer, parameter :: nGC_65 = 185
  integer, parameter :: nGC_5155 = 186
  integer, parameter :: nGC_5153 = 187
  integer, parameter :: nGC_5150 = 188
  integer, parameter :: nGC_5159 = 189
  integer, parameter :: nGC_5172 = 190
  integer, parameter :: nGC_5079 = 191
  integer, parameter :: nGC_5173 = 192
  integer, parameter :: nGC_5333 = 193
  integer, parameter :: nGC_5332 = 194
  integer, parameter :: nGC_5330 = 195
  integer, parameter :: nGC_5335 = 196
  integer, parameter :: nGC_5334 = 197
  integer, parameter :: nGC_5339 = 198
  integer, parameter :: nGC_5338 = 199
  integer, parameter :: nGC_5236 = 200
  integer, parameter :: nGC_5237 = 201
  integer, parameter :: nGC_5234 = 202
  integer, parameter :: nGC_5235 = 203
  integer, parameter :: nGC_7689 = 204
  integer, parameter :: nGC_5293 = 205
  integer, parameter :: nGC_5294 = 206
  integer, parameter :: nGC_8665 = 207
  integer, parameter :: nGC_5296 = 208
  integer, parameter :: nGC_5071 = 209
  integer, parameter :: nGC_5245 = 210
  integer, parameter :: nGC_17 = 211
  integer, parameter :: nGC_16 = 212
  integer, parameter :: nGC_15 = 213
  integer, parameter :: nGC_14 = 214
  integer, parameter :: nGC_13 = 215
  integer, parameter :: nGC_11 = 216
  integer, parameter :: nGC_10 = 217
  integer, parameter :: nGC_5243 = 218
  integer, parameter :: nGC_4881 = 219
  integer, parameter :: nGC_19 = 220
  integer, parameter :: nGC_18 = 221
  integer, parameter :: nGC_103 = 222
  integer, parameter :: nGC_7828 = 223
  integer, parameter :: nGC_7651 = 224
  integer, parameter :: nGC_7659 = 225
  integer, parameter :: nGC_7890 = 226
  integer, parameter :: nGC_5249 = 227
  integer, parameter :: nGC_5247 = 228
  integer, parameter :: nGC_5246 = 229
  integer, parameter :: nGC_5244 = 230
  integer, parameter :: nGC_5241 = 231
  integer, parameter :: nGC_5240 = 232
  integer, parameter :: nGC_4889 = 233
  integer, parameter :: nGC_94 = 234
  integer, parameter :: nGC_5098 = 235
  integer, parameter :: nGC_385 = 236
  integer, parameter :: nGC_9035 = 237
  integer, parameter :: nGC_5413 = 238
  integer, parameter :: nGC_5410 = 239
  integer, parameter :: nGC_5411 = 240
  integer, parameter :: nGC_5416 = 241
  integer, parameter :: nGC_9036 = 242
  integer, parameter :: nGC_5414 = 243
  integer, parameter :: nGC_5415 = 244
  integer, parameter :: nGC_5378 = 245
  integer, parameter :: nGC_135 = 246
  integer, parameter :: nGC_134 = 247
  integer, parameter :: nGC_4827 = 248
  integer, parameter :: nGC_4820 = 249
  integer, parameter :: nGC_133 = 250
  integer, parameter :: nGC_132 = 251
  integer, parameter :: nGC_5342 = 252
  integer, parameter :: nGC_4940 = 253
  integer, parameter :: nGC_5375 = 254
  integer, parameter :: nGC_4945 = 255
  integer, parameter :: nGC_5343 = 256
  integer, parameter :: nGC_84 = 257
  integer, parameter :: nGC_5374 = 258
  integer, parameter :: nGC_5259 = 259
  integer, parameter :: nGC_5052 = 260
  integer, parameter :: nGC_5053 = 261
  integer, parameter :: nGC_5050 = 262
  integer, parameter :: nGC_5051 = 263
  integer, parameter :: nGC_5054 = 264
  integer, parameter :: nGC_5058 = 265
  integer, parameter :: nGC_5059 = 266
  integer, parameter :: nGC_5118 = 267
  integer, parameter :: nGC_5110 = 268
  integer, parameter :: nGC_5115 = 269
  integer, parameter :: nGC_7563 = 270
  integer, parameter :: nGC_5463 = 271
  integer, parameter :: nGC_5348 = 272
  integer, parameter :: nGC_5461 = 273
  integer, parameter :: nGC_5460 = 274
  integer, parameter :: nGC_5349 = 275
  integer, parameter :: nGC_117 = 276
  integer, parameter :: nGC_5269 = 277
  integer, parameter :: nGC_7848 = 278
  integer, parameter :: nGC_116 = 279
  integer, parameter :: nGC_8520 = 280
  integer, parameter :: nGC_223 = 281
  integer, parameter :: nGC_5434 = 282
  integer, parameter :: nGC_5255 = 283
  integer, parameter :: nGC_7696 = 284
  integer, parameter :: nGC_7693 = 285
  integer, parameter :: nGC_7690 = 286
  integer, parameter :: nGC_5390 = 287
  integer, parameter :: nGC_5203 = 288
  integer, parameter :: nGC_5202 = 289
  integer, parameter :: nGC_5200 = 290
  integer, parameter :: nGC_5206 = 291
  integer, parameter :: nGC_5205 = 292
  integer, parameter :: nGC_5204 = 293
  integer, parameter :: nGC_5209 = 294
  integer, parameter :: nGC_5208 = 295
  integer, parameter :: nGC_525 = 296
  integer, parameter :: nGC_5369 = 297
  integer, parameter :: nGC_5365 = 298
  integer, parameter :: nGC_5366 = 299
  integer, parameter :: nGC_5360 = 300
  integer, parameter :: nGC_5362 = 301
  integer, parameter :: nGC_5363 = 302
  integer, parameter :: nGC_8148 = 303
  integer, parameter :: nGC_7826 = 304
  integer, parameter :: nGC_5433 = 305
  integer, parameter :: nGC_48 = 306
  integer, parameter :: nGC_49 = 307
  integer, parameter :: nGC_5422 = 308
  integer, parameter :: nGC_44 = 309
  integer, parameter :: nGC_45 = 310
  integer, parameter :: nGC_46 = 311
  integer, parameter :: nGC_47 = 312
  integer, parameter :: nGC_40 = 313
  integer, parameter :: nGC_41 = 314
  integer, parameter :: nGC_42 = 315
  integer, parameter :: nGC_43 = 316
  integer, parameter :: nGC_139 = 317
  integer, parameter :: nGC_5298 = 318
  integer, parameter :: nGC_10230 = 319
  integer, parameter :: nGC_5315 = 320
  integer, parameter :: nGC_5251 = 321
  integer, parameter :: nGC_4863 = 322
  integer, parameter :: nGC_4866 = 323
  integer, parameter :: nGC_5095 = 324
  integer, parameter :: nGC_5092 = 325
  integer, parameter :: nGC_5093 = 326
  integer, parameter :: nGC_5090 = 327
  integer, parameter :: nGC_138 = 328
  integer, parameter :: nGC_1085 = 329
  integer, parameter :: nGC_5099 = 330
  integer, parameter :: nGC_7523 = 331
  integer, parameter :: nGC_7529 = 332
  integer, parameter :: nGC_5380 = 333
  integer, parameter :: nGC_5368 = 334
  integer, parameter :: nGC_137 = 335
  integer, parameter :: nGC_4914 = 336
  integer, parameter :: nGC_4915 = 337
  integer, parameter :: nGC_4916 = 338
  integer, parameter :: nGC_136 = 339
  integer, parameter :: nGC_4913 = 340
  integer, parameter :: nGC_5423 = 341
  integer, parameter :: nGC_131 = 342
  integer, parameter :: nGC_5426 = 343
  integer, parameter :: nGC_5425 = 344
  integer, parameter :: nGC_130 = 345
  integer, parameter :: nGC_4973 = 346
  integer, parameter :: nGC_5091 = 347
  integer, parameter :: nGC_5184 = 348
  integer, parameter :: nGC_5069 = 349
  integer, parameter :: nGC_5140 = 350
  integer, parameter :: nGC_5142 = 351
  integer, parameter :: nGC_5143 = 352
  integer, parameter :: nGC_5063 = 353
  integer, parameter :: nGC_5061 = 354
  integer, parameter :: nGC_5060 = 355
  integer, parameter :: nGC_4842 = 356
  integer, parameter :: nGC_5314 = 357
  integer, parameter :: nGC_112 = 358
  integer, parameter :: nGC_144 = 359
  integer, parameter :: nGC_7793 = 360
  integer, parameter :: nGC_5430 = 361
  integer, parameter :: nGC_919 = 362
  integer, parameter :: nGC_5176 = 363
  integer, parameter :: nGC_5320 = 364
  integer, parameter :: nGC_5321 = 365
  integer, parameter :: nGC_5323 = 366
  integer, parameter :: nGC_5324 = 367
  integer, parameter :: nGC_5325 = 368
  integer, parameter :: nGC_5327 = 369
  integer, parameter :: nGC_5329 = 370
  integer, parameter :: nGC_5067 = 371
  integer, parameter :: nGC_9518 = 372
  integer, parameter :: nGC_4931 = 373
  integer, parameter :: nGC_9457 = 374
  integer, parameter :: nGC_7813 = 375
  integer, parameter :: nGC_5431 = 376
  integer, parameter :: nGC_4878 = 377
  integer, parameter :: nGC_4919 = 378
  integer, parameter :: nGC_253 = 379
  integer, parameter :: nGC_153 = 380
  integer, parameter :: nGC_8596 = 381
  integer, parameter :: nGC_4843 = 382
  integer, parameter :: nGC_151 = 383
  integer, parameter :: nGC_4855 = 384
  integer, parameter :: nGC_4873 = 385
  integer, parameter :: nGC_4872 = 386
  integer, parameter :: nGC_5396 = 387
  integer, parameter :: nGC_5391 = 388
  integer, parameter :: nGC_155 = 389
  integer, parameter :: nGC_5393 = 390
  integer, parameter :: nGC_5392 = 391
  integer, parameter :: nGC_5254 = 392
  integer, parameter :: nGC_4877 = 393
  integer, parameter :: nGC_7702 = 394
  integer, parameter :: nGC_7769 = 395
  integer, parameter :: nGC_5399 = 396
  integer, parameter :: nGC_5398 = 397
  integer, parameter :: nGC_5252 = 398
  integer, parameter :: nGC_4876 = 399
  integer, parameter :: nGC_8051 = 400
  integer, parameter :: nGC_8074 = 401
  integer, parameter :: nGC_140 = 402
  integer, parameter :: nGC_8055 = 403
  integer, parameter :: nGC_5285 = 404
  integer, parameter :: nGC_99 = 405
  integer, parameter :: nGC_8056 = 406
  integer, parameter :: nGC_96 = 407
  integer, parameter :: nGC_95 = 408
  integer, parameter :: nGC_93 = 409
  integer, parameter :: nGC_92 = 410
  integer, parameter :: nGC_90 = 411
  integer, parameter :: nGC_5192 = 412
  integer, parameter :: nGC_5191 = 413
  integer, parameter :: nGC_5197 = 414
  integer, parameter :: nGC_5194 = 415
  integer, parameter :: nGC_9276 = 416
  integer, parameter :: nGC_5198 = 417
  integer, parameter :: nGC_MW_GF = 418
  integer, parameter :: nGC_75 = 419
  integer, parameter :: nGC_74 = 420
  integer, parameter :: nGC_77 = 421
  integer, parameter :: nGC_76 = 422
  integer, parameter :: nGC_71 = 423
  integer, parameter :: nGC_70 = 424
  integer, parameter :: nGC_73 = 425
  integer, parameter :: nGC_72 = 426
  integer, parameter :: nGC_5064 = 427
  integer, parameter :: nGC_79 = 428
  integer, parameter :: nGC_78 = 429
  integer, parameter :: nGC_4936 = 430
  integer, parameter :: nGC_7937 = 431
  integer, parameter :: nGC_5435 = 432
  integer, parameter :: nGC_5179 = 433
  integer, parameter :: nGC_142 = 434
  integer, parameter :: nGC_101 = 435
  integer, parameter :: nGC_4886 = 436
  integer, parameter :: nGC_105 = 437
  integer, parameter :: nGC_5383 = 438
  integer, parameter :: nGC_5073 = 439
  integer, parameter :: nGC_86 = 440
  integer, parameter :: nGC_143 = 441
  integer, parameter :: nGC_4887 = 442
  integer, parameter :: nGC_4839 = 443
  integer, parameter :: nGC_5386 = 444
  integer, parameter :: nGC_5123 = 445
  integer, parameter :: nGC_5100 = 446
  integer, parameter :: nGC_5104 = 447
  integer, parameter :: nGC_5105 = 448
  integer, parameter :: nGC_5106 = 449
  integer, parameter :: nGC_5107 = 450
  integer, parameter :: nGC_4891 = 451
  integer, parameter :: nGC_5112 = 452
  integer, parameter :: nGC_5126 = 453
  integer, parameter :: nGC_5077 = 454
  integer, parameter :: nGC_8214 = 455
  integer, parameter :: nGC_183 = 456
  integer, parameter :: nGC_8040 = 457
  integer, parameter :: nGC_5265 = 458
  integer, parameter :: nGC_2007 = 459
  integer, parameter :: nGC_5264 = 460
  integer, parameter :: nGC_5417 = 461
  integer, parameter :: nGC_5267 = 462
  integer, parameter :: nGC_5114 = 463
  integer, parameter :: nGC_5128 = 464
  integer, parameter :: nGC_5262 = 465
  integer, parameter :: nGC_219 = 466
  integer, parameter :: nGC_5260 = 467
  integer, parameter :: nGC_9818 = 468
  integer, parameter :: nGC_5359 = 469
  integer, parameter :: nGC_7662 = 470
  integer, parameter :: nGC_4883 = 471
  integer, parameter :: nGC_5211 = 472
  integer, parameter :: nGC_5212 = 473
  integer, parameter :: nGC_5213 = 474
  integer, parameter :: nGC_5214 = 475
  integer, parameter :: nGC_5215 = 476
  integer, parameter :: nGC_5216 = 477
  integer, parameter :: nGC_5217 = 478
  integer, parameter :: nGC_5219 = 479
  integer, parameter :: nGC_5462 = 480
  integer, parameter :: nGC_5387 = 481
  integer, parameter :: nGC_8016 = 482
  integer, parameter :: nGC_4880 = 483
  integer, parameter :: nGC_5350 = 484
  integer, parameter :: nGC_5353 = 485
  integer, parameter :: nGC_5322 = 486
  integer, parameter :: nGC_5357 = 487
  integer, parameter :: nGC_5356 = 488
  integer, parameter :: nGC_5351 = 489
  integer, parameter :: nGC_5257 = 490
  integer, parameter :: nGC_285 = 491
  integer, parameter :: nGC_8427 = 492
  integer, parameter :: nGC_149 = 493
  integer, parameter :: nGC_5326 = 494
  integer, parameter :: nGC_5181 = 495
  integer, parameter :: nGC_4903 = 496
  integer, parameter :: nGC_5354 = 497
  integer, parameter :: nGC_39 = 498
  integer, parameter :: nGC_38 = 499
  integer, parameter :: nGC_31 = 500
  integer, parameter :: nGC_30 = 501
  integer, parameter :: nGC_33 = 502
  integer, parameter :: nGC_32 = 503
  integer, parameter :: nGC_35 = 504
  integer, parameter :: nGC_7816 = 505
  integer, parameter :: nGC_37 = 506
  integer, parameter :: nGC_36 = 507
  integer, parameter :: nGC_4854 = 508
  integer, parameter :: nGC_146 = 509
  integer, parameter :: nGC_4998 = 510
  integer, parameter :: nGC_4850 = 511
  integer, parameter :: nGC_4853 = 512
  integer, parameter :: nGC_5299 = 513
  integer, parameter :: nGC_4994 = 514
  integer, parameter :: nGC_4995 = 515
  integer, parameter :: nGC_7741 = 516
  integer, parameter :: nGC_9266 = 517
  integer, parameter :: nGC_4990 = 518
  integer, parameter :: nGC_4858 = 519
  integer, parameter :: nGC_4992 = 520
  integer, parameter :: nGC_4993 = 521
  integer, parameter :: nGC_5318 = 522
  integer, parameter :: nGC_8428 = 523
  integer, parameter :: nGC_4841 = 524
  integer, parameter :: nGC_8645 = 525
  integer, parameter :: nGC_715 = 526
  integer, parameter :: nGC_5101 = 527
  integer, parameter :: nGC_4901 = 528
  integer, parameter :: nGC_713 = 529
  integer, parameter :: nGC_5149 = 530
  integer, parameter :: nGC_5113 = 531
  integer, parameter :: nGC_7519 = 532
  integer, parameter :: nGC_119 = 533
  integer, parameter :: nGC_MT = 534
  integer, parameter :: nGC_5102 = 535
  integer, parameter :: nGC_5428 = 536
  integer, parameter :: nGC_5402 = 537
  integer, parameter :: nGC_4920 = 538
  integer, parameter :: nGC_4923 = 539
  integer, parameter :: nGC_4922 = 540
  integer, parameter :: nGC_4925 = 541
  integer, parameter :: nGC_4924 = 542
  integer, parameter :: nGC_4927 = 543
  integer, parameter :: nGC_4926 = 544
  integer, parameter :: nGC_5122 = 545
  integer, parameter :: nGC_4928 = 546
  integer, parameter :: nGC_5432 = 547
  integer, parameter :: nGC_10550 = 548
  integer, parameter :: nGC_5436 = 549
  integer, parameter :: nGC_5437 = 550
  integer, parameter :: nGC_MI = 551
  integer, parameter :: nGC_MH = 552
  integer, parameter :: nGC_5268 = 553
  integer, parameter :: nGC_4868 = 554
  integer, parameter :: nGC_MM = 555
  integer, parameter :: nGC_7955 = 556
  integer, parameter :: nGC_MB = 557
  integer, parameter :: nGC_7956 = 558
  integer, parameter :: nGC_4929 = 559
  integer, parameter :: nGC_ME = 560
  integer, parameter :: nGC_MD = 561
  integer, parameter :: nGC_4856 = 562
  integer, parameter :: nGC_8263 = 563
  integer, parameter :: nGC_8260 = 564
  integer, parameter :: nGC_MS = 565
  integer, parameter :: nGC_MW = 566
  integer, parameter :: nGC_MU = 567
  integer, parameter :: nGC_1725 = 568
  integer, parameter :: nGC_5171 = 569
  integer, parameter :: nGC_5175 = 570
  integer, parameter :: nGC_5174 = 571
  integer, parameter :: nGC_5177 = 572
  integer, parameter :: nGC_5070 = 573
  integer, parameter :: nGC_5178 = 574
  integer, parameter :: nGC_5072 = 575
  integer, parameter :: nGC_5074 = 576
  integer, parameter :: nGC_124 = 577
  integer, parameter :: nGC_5076 = 578
  integer, parameter :: nGC_145 = 579
  integer, parameter :: nGC_7893 = 580
  integer, parameter :: nGC_9460 = 581
  integer, parameter :: nGC_5120 = 582
  integer, parameter :: nGC_9447 = 583
  integer, parameter :: nGC_8661 = 584
  integer, parameter :: nGC_4833 = 585
  integer, parameter :: nGC_69 = 586
  integer, parameter :: nGC_8110 = 587
  integer, parameter :: nGC_5379 = 588
  integer, parameter :: nGC_8866 = 589
  integer, parameter :: nGC_121 = 590
  integer, parameter :: nGC_10608 = 591
  integer, parameter :: nGC_8193 = 592
  integer, parameter :: nGC_8195 = 593
  integer, parameter :: nGC_4937 = 594
  integer, parameter :: nGC_5210 = 595
  integer, parameter :: nGC_4917 = 596
  integer, parameter :: nGC_5317 = 597
  integer, parameter :: nGC_5316 = 598
  integer, parameter :: nGC_5311 = 599
  integer, parameter :: nGC_5310 = 600
  integer, parameter :: nGC_7827 = 601
  integer, parameter :: nGC_8462 = 602
  integer, parameter :: nGC_10228 = 603
  integer, parameter :: nGC_7706 = 604
  integer, parameter :: nGC_227 = 605
  integer, parameter :: nGC_I = 606
  integer, parameter :: nGC_114 = 607
  integer, parameter :: nGC_12825 = 608
  integer, parameter :: nGC_34 = 609
  integer, parameter :: nGC_4930 = 610
  integer, parameter :: nGC_61 = 611
  integer, parameter :: nGC_8762 = 612
  integer, parameter :: nGC_5290 = 613
  integer, parameter :: nGC_4838 = 614
  integer, parameter :: nGC_8744 = 615
  integer, parameter :: nGC_8154 = 616
  integer, parameter :: nGC_8188 = 617
  integer, parameter :: nGC_8595 = 618
  integer, parameter :: nGC_MTA = 619
  integer, parameter :: nGC_5145 = 620
  integer, parameter :: nGC_4875 = 621
  integer, parameter :: nGC_5291 = 622
  integer, parameter :: nGC_8113 = 623
  integer, parameter :: nGC_7738 = 624
  integer, parameter :: nGC_10821 = 625
  integer, parameter :: nGC_10822 = 626
  integer, parameter :: nGC_5381 = 627
  integer, parameter :: nGC_9027 = 628
  integer, parameter :: nGC_5384 = 629
  integer, parameter :: nGC_5385 = 630
  integer, parameter :: nGC_5146 = 631
  integer, parameter :: nGC_4895 = 632
  integer, parameter :: nGC_4894 = 633
  integer, parameter :: nGC_88 = 634
  integer, parameter :: nGC_89 = 635
  integer, parameter :: nGC_80 = 636
  integer, parameter :: nGC_81 = 637
  integer, parameter :: nGC_5266 = 638
  integer, parameter :: nGC_85 = 639
  integer, parameter :: nGC_5283 = 640
  integer, parameter :: nGC_8041 = 641
  integer, parameter :: nGC_5180 = 642
  integer, parameter :: nGC_5182 = 643
  integer, parameter :: nGC_5183 = 644
  integer, parameter :: nGC_5313 = 645
  integer, parameter :: nGC_5185 = 646
  integer, parameter :: nGC_5186 = 647
  integer, parameter :: nGC_5147 = 648
  integer, parameter :: nGC_5188 = 649
  integer, parameter :: nGC_7532 = 650
  integer, parameter :: nGC_4857 = 651
  integer, parameter :: nGC_66 = 652
  integer, parameter :: nGC_67 = 653
  integer, parameter :: nGC_64 = 654
  integer, parameter :: nGC_147 = 655
  integer, parameter :: nGC_62 = 656
  integer, parameter :: nGC_63 = 657
  integer, parameter :: nGC_60 = 658
  integer, parameter :: nGC_8115 = 659
  integer, parameter :: nGC_4851 = 660
  integer, parameter :: nGC_4862 = 661
  integer, parameter :: nGC_68 = 662
  integer, parameter :: nGC_4999 = 663
  integer, parameter :: nGC_4965 = 664
  integer, parameter :: nGC_4967 = 665
  integer, parameter :: nGC_4961 = 666
  integer, parameter :: nGC_5151 = 667
  integer, parameter :: nGC_4963 = 668
  integer, parameter :: nGC_4814 = 669
  integer, parameter :: nGC_4852 = 670
  integer, parameter :: nGC_4968 = 671
  integer, parameter :: nGC_11209 = 672
  integer, parameter :: nGC_5427 = 673
  integer, parameter :: nGC_4808 = 674
  integer, parameter :: nGC_4809 = 675
  integer, parameter :: nGC_4806 = 676
  integer, parameter :: nGC_4807 = 677
  integer, parameter :: nGC_115 = 678
  integer, parameter :: nGC_5062 = 679
  integer, parameter :: nGC_113 = 680
  integer, parameter :: nGC_4997 = 681
  integer, parameter :: nGC_111 = 682
  integer, parameter :: nGC_110 = 683
  integer, parameter :: nGC_5043 = 684
  integer, parameter :: nGC_10002 = 685
  integer, parameter :: nGC_10003 = 686
  integer, parameter :: nGC_5135 = 687
  integer, parameter :: nGC_7548 = 688
  integer, parameter :: nGC_1103 = 689
  integer, parameter :: nGC_5441 = 690
  integer, parameter :: nGC_5447 = 691
  integer, parameter :: nGC_1587 = 692
  integer, parameter :: nGC_9153 = 693
  integer, parameter :: nGC_7901 = 694
  integer, parameter :: nGC_12584 = 695
  integer, parameter :: nGC_12587 = 696
  integer, parameter :: nGC_8316 = 697
  integer, parameter :: nGC_8099 = 698
  integer, parameter :: nGC_8313 = 699
  integer, parameter :: nGC_8318 = 700
  integer, parameter :: nGC_5003 = 701
  integer, parameter :: nGC_5002 = 702
  integer, parameter :: nGC_5005 = 703
  integer, parameter :: nGC_8708 = 704
  integer, parameter :: nGC_5007 = 705
  integer, parameter :: nGC_5006 = 706
  integer, parameter :: nGC_5009 = 707
  integer, parameter :: nGC_5008 = 708
  integer, parameter :: nGC_8701 = 709
  integer, parameter :: nGC_8700 = 710
  integer, parameter :: nGC_8703 = 711
  integer, parameter :: nGC_8702 = 712
  integer, parameter :: nGC_5166 = 713
  integer, parameter :: nGC_12519 = 714
  integer, parameter :: nGC_8894 = 715
  integer, parameter :: nGC_8892 = 716
  integer, parameter :: nGC_8898 = 717
  integer, parameter :: nGC_7572 = 718
  integer, parameter :: nGC_5346 = 719
  integer, parameter :: nGC_5228 = 720
  integer, parameter :: nGC_5340 = 721
  integer, parameter :: nGC_5225 = 722
  integer, parameter :: nGC_2927 = 723
  integer, parameter :: nGC_1325 = 724
  integer, parameter :: nGC_8000 = 725
  integer, parameter :: nGC_8001 = 726
  integer, parameter :: nGC_471 = 727
  integer, parameter :: nGC_7549 = 728
  integer, parameter :: nGC_10267 = 729
  integer, parameter :: nGC_10264 = 730
  integer, parameter :: nGC_7640 = 731
  integer, parameter :: nGC_7643 = 732
  integer, parameter :: nGC_8675 = 733
  integer, parameter :: nGC_4840 = 734
  integer, parameter :: nGC_7884 = 735
  integer, parameter :: nGC_4846 = 736
  integer, parameter :: nGC_4847 = 737
  integer, parameter :: nGC_4844 = 738
  integer, parameter :: nGC_4845 = 739
  integer, parameter :: nGC_7766 = 740
  integer, parameter :: nGC_9273 = 741
  integer, parameter :: nGC_4848 = 742
  integer, parameter :: nGC_4849 = 743
  integer, parameter :: nGC_7762 = 744
  integer, parameter :: nGC_5331 = 745
  integer, parameter :: nGC_7888 = 746
  integer, parameter :: nGC_8075 = 747
  integer, parameter :: nGC_8179 = 748
  integer, parameter :: nGC_8173 = 749
  integer, parameter :: nGC_459 = 750
  integer, parameter :: nGC_725 = 751
  integer, parameter :: nGC_7885 = 752
  integer, parameter :: nGC_9445 = 753
  integer, parameter :: nGC_5406 = 754
  integer, parameter :: nGC_5400 = 755
  integer, parameter :: nGC_5403 = 756
  integer, parameter :: nGC_5409 = 757
  integer, parameter :: nGC_4837 = 758
  integer, parameter :: nGC_4836 = 759
  integer, parameter :: nGC_4835 = 760
  integer, parameter :: nGC_4834 = 761
  integer, parameter :: nGC_4832 = 762
  integer, parameter :: nGC_4938 = 763
  integer, parameter :: nGC_4939 = 764
  integer, parameter :: nGC_795 = 765
  integer, parameter :: nGC_4934 = 766
  integer, parameter :: nGC_4935 = 767
  integer, parameter :: nGC_4932 = 768
  integer, parameter :: nGC_4933 = 769
  integer, parameter :: nGC_7948 = 770
  integer, parameter :: nGC_7940 = 771
  integer, parameter :: nGC_5045 = 772
  integer, parameter :: nGC_5047 = 773
  integer, parameter :: nGC_5041 = 774
  integer, parameter :: nGC_5040 = 775
  integer, parameter :: nGC_8215 = 776
  integer, parameter :: nGC_5042 = 777
  integer, parameter :: nGC_8354 = 778
  integer, parameter :: nGC_8355 = 779
  integer, parameter :: nGC_5168 = 780
  integer, parameter :: nGC_5169 = 781
  integer, parameter :: nGC_7577 = 782
  integer, parameter :: nGC_7576 = 783
  integer, parameter :: nGC_5162 = 784
  integer, parameter :: nGC_5163 = 785
  integer, parameter :: nGC_9105 = 786
  integer, parameter :: nGC_9106 = 787
  integer, parameter :: nGC_9108 = 788
  integer, parameter :: nGC_9109 = 789
  integer, parameter :: nGC_7830 = 790
  integer, parameter :: nGC_879 = 791
  integer, parameter :: nGC_5308 = 792
  integer, parameter :: nGC_5302 = 793
  integer, parameter :: nGC_7902 = 794
  integer, parameter :: nGC_5300 = 795
  integer, parameter :: nGC_7934 = 796
  integer, parameter :: nGC_5306 = 797
  integer, parameter :: nGC_7932 = 798
  integer, parameter :: nGC_7931 = 799
  integer, parameter :: nGC_12588 = 800
  integer, parameter :: nGC_4921 = 801
  integer, parameter :: nGC_8323 = 802
  integer, parameter :: nGC_8322 = 803
  integer, parameter :: nGC_8453 = 804
  integer, parameter :: nGC_8452 = 805
  integer, parameter :: nGC_8281 = 806
  integer, parameter :: nGC_8286 = 807
  integer, parameter :: nGC_8287 = 808
  integer, parameter :: nGC_5276 = 809
  integer, parameter :: nGC_7688 = 810
  integer, parameter :: nGC_4884 = 811
  integer, parameter :: nGC_4885 = 812
  integer, parameter :: nGC_4882 = 813
  integer, parameter :: nGC_7727 = 814
  integer, parameter :: nGC_7724 = 815
  integer, parameter :: nGC_7681 = 816
  integer, parameter :: nGC_7682 = 817
  integer, parameter :: nGC_7685 = 818
  integer, parameter :: nGC_4888 = 819
  integer, parameter :: nGC_9037 = 820
  integer, parameter :: nGC_5376 = 821
  integer, parameter :: nGC_5373 = 822
  integer, parameter :: nGC_5370 = 823
  integer, parameter :: nGC_8529 = 824
  integer, parameter :: nGC_8915 = 825
  integer, parameter :: nGC_8521 = 826
  integer, parameter :: nGC_8032 = 827
  integer, parameter :: nGC_8526 = 828
  integer, parameter :: nGC_8451 = 829
  integer, parameter :: nGC_4972 = 830
  integer, parameter :: nGC_4971 = 831
  integer, parameter :: nGC_4976 = 832
  integer, parameter :: nGC_4977 = 833
  integer, parameter :: nGC_7619 = 834
  integer, parameter :: nGC_7616 = 835
  integer, parameter :: nGC_4978 = 836
  integer, parameter :: nGC_4979 = 837
  integer, parameter :: nGC_4879 = 838
  integer, parameter :: nGC_5288 = 839
  integer, parameter :: nGC_4871 = 840
  integer, parameter :: nGC_5280 = 841
  integer, parameter :: nGC_5286 = 842
  integer, parameter :: nGC_8149 = 843
  integer, parameter :: nGC_4874 = 844
  integer, parameter :: nGC_7533 = 845
  integer, parameter :: nGC_7537 = 846
  integer, parameter :: nGC_4951 = 847
  integer, parameter :: nGC_5081 = 848
  integer, parameter :: nGC_5129 = 849
  integer, parameter :: nGC_5085 = 850
  integer, parameter :: nGC_5087 = 851
  integer, parameter :: nGC_5004 = 852
  integer, parameter :: nGC_4989 = 853
  integer, parameter :: nGC_4907 = 854
  integer, parameter :: nGC_4906 = 855
  integer, parameter :: nGC_4905 = 856
  integer, parameter :: nGC_4904 = 857
  integer, parameter :: nGC_9889 = 858
  integer, parameter :: nGC_4902 = 859
  integer, parameter :: nGC_4900 = 860
  integer, parameter :: nGC_4909 = 861
  integer, parameter :: nGC_4908 = 862
  integer, parameter :: nGC_7879 = 863
  integer, parameter :: nGC_7870 = 864
  integer, parameter :: nGC_8088 = 865
  integer, parameter :: nGC_8360 = 866
  integer, parameter :: nGC_4981 = 867
  integer, parameter :: nGC_4980 = 868
  integer, parameter :: nGC_5157 = 869
  integer, parameter :: nGC_5156 = 870
  integer, parameter :: nGC_5154 = 871
  integer, parameter :: nGC_5152 = 872
  integer, parameter :: nGC_5018 = 873
  integer, parameter :: nGC_5019 = 874
  integer, parameter :: nGC_5016 = 875
  integer, parameter :: nGC_5017 = 876
  integer, parameter :: nGC_5014 = 877
  integer, parameter :: nGC_5015 = 878
  integer, parameter :: nGC_5012 = 879
  integer, parameter :: nGC_5013 = 880
  integer, parameter :: nGC_5010 = 881
  integer, parameter :: nGC_5011 = 882
  integer, parameter :: nGC_10231 = 883
  integer, parameter :: nGC_8889 = 884
  integer, parameter :: nGC_395 = 885
  integer, parameter :: nGC_5238 = 886
  integer, parameter :: nGC_5337 = 887
  integer, parameter :: nGC_9448 = 888
  integer, parameter :: nGC_5232 = 889
  integer, parameter :: nGC_9444 = 890
  integer, parameter :: nGC_307 = 891
  integer, parameter :: nGC_4864 = 892
  integer, parameter :: nGC_5274 = 893
  integer, parameter :: nGC_4865 = 894
  integer, parameter :: nGC_5272 = 895
  integer, parameter :: nGC_8817 = 896
  integer, parameter :: nGC_8816 = 897
  integer, parameter :: nGC_8761 = 898
  integer, parameter :: nGC_8760 = 899
  integer, parameter :: nGC_5270 = 900
  integer, parameter :: nGC_9278 = 901
  integer, parameter :: nGC_7652 = 902
  integer, parameter :: nGC_8662 = 903
  integer, parameter :: nGC_7895 = 904
  integer, parameter :: nGC_7896 = 905
  integer, parameter :: nGC_8666 = 906
  integer, parameter :: nGC_5248 = 907
  integer, parameter :: nGC_7713 = 908
  integer, parameter :: nGC_7711 = 909
  integer, parameter :: nGC_7717 = 910
  integer, parameter :: nGC_5242 = 911
  integer, parameter :: nGC_7714 = 912
  integer, parameter :: nGC_8065 = 913
  integer, parameter :: nGC_9041 = 914
  integer, parameter :: nGC_9040 = 915
  integer, parameter :: nGC_8104 = 916
  integer, parameter :: nGC_5108 = 917
  integer, parameter :: nGC_8103 = 918
  integer, parameter :: nGC_5412 = 919
  integer, parameter :: nGC_7626 = 920
  integer, parameter :: nGC_7621 = 921
  integer, parameter :: nGC_7620 = 922
  integer, parameter :: nGC_5418 = 923
  integer, parameter :: nGC_4824 = 924
  integer, parameter :: nGC_4825 = 925
  integer, parameter :: nGC_4826 = 926
  integer, parameter :: nGC_4948 = 927
  integer, parameter :: nGC_4821 = 928
  integer, parameter :: nGC_4822 = 929
  integer, parameter :: nGC_4823 = 930
  integer, parameter :: nGC_4943 = 931
  integer, parameter :: nGC_4942 = 932
  integer, parameter :: nGC_4941 = 933
  integer, parameter :: nGC_4828 = 934
  integer, parameter :: nGC_4829 = 935
  integer, parameter :: nGC_4944 = 936
  integer, parameter :: nGC_8205 = 937
  integer, parameter :: nGC_8208 = 938
  integer, parameter :: nGC_5119 = 939
  integer, parameter :: nGC_7564 = 940
  integer, parameter :: nGC_7565 = 941
  integer, parameter :: nGC_5111 = 942
  integer, parameter :: nGC_5117 = 943
  integer, parameter :: nGC_5116 = 944
  integer, parameter :: nGC_5466 = 945
  integer, parameter :: nGC_5465 = 946
  integer, parameter :: nGC_5464 = 947
  integer, parameter :: nGC_7841 = 948
  integer, parameter :: nGC_7840 = 949
  integer, parameter :: nGC_8033 = 950
  integer, parameter :: nGC_9521 = 951
  integer, parameter :: nGC_5027 = 952
  integer, parameter :: nGC_5026 = 953
  integer, parameter :: nGC_5025 = 954
  integer, parameter :: nGC_5024 = 955
  integer, parameter :: nGC_5023 = 956
  integer, parameter :: nGC_8339 = 957
  integer, parameter :: nGC_5021 = 958
  integer, parameter :: nGC_8191 = 959
  integer, parameter :: nGC_5029 = 960
  integer, parameter :: nGC_5028 = 961
  integer, parameter :: nGC_8194 = 962
  integer, parameter :: nGC_7691 = 963
  integer, parameter :: nGC_7698 = 964
  integer, parameter :: nGC_7699 = 965
  integer, parameter :: nGC_5201 = 966
  integer, parameter :: nGC_5207 = 967
  integer, parameter :: nGC_7993 = 968
  integer, parameter :: nGC_7992 = 969
  integer, parameter :: nGC_8532 = 970
  integer, parameter :: nGC_7994 = 971
  integer, parameter :: nGC_7997 = 972
  integer, parameter :: nGC_8531 = 973
  integer, parameter :: nGC_5364 = 974
  integer, parameter :: nGC_5367 = 975
  integer, parameter :: nGC_5361 = 976
  integer, parameter :: nGC_8383 = 977
  integer, parameter :: nGC_8382 = 978
  integer, parameter :: nGC_359 = 979
  integer, parameter :: nGC_8384 = 980
  integer, parameter :: nGC_8841 = 981
  integer, parameter :: nGC_7627 = 982
  integer, parameter :: nGC_7668 = 983
  integer, parameter :: nGC_4988 = 984
  integer, parameter :: nGC_4987 = 985
  integer, parameter :: nGC_4986 = 986
  integer, parameter :: nGC_4985 = 987
  integer, parameter :: nGC_4984 = 988
  integer, parameter :: nGC_4983 = 989
  integer, parameter :: nGC_4982 = 990
  integer, parameter :: nGC_7665 = 991
  integer, parameter :: nGC_4869 = 992
  integer, parameter :: nGC_8156 = 993
  integer, parameter :: nGC_8150 = 994
  integer, parameter :: nGC_8151 = 995
  integer, parameter :: nGC_4860 = 996
  integer, parameter :: nGC_4861 = 997
  integer, parameter :: nGC_5292 = 998
  integer, parameter :: nGC_8656 = 999
  integer, parameter :: nGC_4867 = 1000
  integer, parameter :: nGC_5096 = 1001
  integer, parameter :: nGC_5097 = 1002
  integer, parameter :: nGC_5094 = 1003
  integer, parameter :: nGC_10410 = 1004
  integer, parameter :: nGC_10413 = 1005
  integer, parameter :: nGC_10412 = 1006
  integer, parameter :: nGC_7520 = 1007
  integer, parameter :: nGC_7524 = 1008
  integer, parameter :: nGC_4893 = 1009
  integer, parameter :: nGC_4949 = 1010
  integer, parameter :: nGC_5429 = 1011
  integer, parameter :: nGC_4910 = 1012
  integer, parameter :: nGC_4911 = 1013
  integer, parameter :: nGC_4912 = 1014
  integer, parameter :: nGC_5421 = 1015
  integer, parameter :: nGC_4918 = 1016
  integer, parameter :: nGC_5034 = 1017
  integer, parameter :: nGC_5035 = 1018
  integer, parameter :: nGC_4970 = 1019
  integer, parameter :: nGC_9874 = 1020
  integer, parameter :: nGC_9871 = 1021
  integer, parameter :: nGC_9872 = 1022
  integer, parameter :: nGC_5030 = 1023
  integer, parameter :: nGC_7595 = 1024
  integer, parameter :: nGC_5068 = 1025
  integer, parameter :: nGC_4974 = 1026
  integer, parameter :: nGC_4947 = 1027
  integer, parameter :: nGC_4975 = 1028
  integer, parameter :: nGC_8275 = 1029
  integer, parameter :: nGC_7598 = 1030
  integer, parameter :: nGC_5065 = 1031
  integer, parameter :: nGC_4946 = 1032
  integer, parameter :: nGC_4830 = 1033
  integer, parameter :: nGC_7790 = 1034
  integer, parameter :: nGC_7796 = 1035
  integer, parameter :: nGC_8879 = 1036
  integer, parameter :: nGC_8877 = 1037
  integer, parameter :: nGC_8876 = 1038
  integer, parameter :: nGC_8181 = 1039
  integer, parameter :: nGC_8180 = 1040
  integer, parameter :: nGC_7818 = 1041
  integer, parameter :: nGC_9515 = 1042
  integer, parameter :: nGC_5328 = 1043
  integer, parameter :: nGC_7811 = 1044
  integer, parameter :: nGC_11164 = 1045
  integer, parameter :: nGC_11165 = 1046
  integer, parameter :: nGC_8770 = 1047
  integer, parameter :: nGC_5144 = 1048
  integer, parameter :: nGC_8590 = 1049
  integer, parameter :: nGC_8591 = 1050
  integer, parameter :: nGC_8676 = 1051
  integer, parameter :: nGC_7708 = 1052
  integer, parameter :: nGC_5394 = 1053
  integer, parameter :: nGC_5397 = 1054
  integer, parameter :: nGC_4870 = 1055
  integer, parameter :: nGC_5258 = 1056
  integer, parameter :: nGC_8673 = 1057
  integer, parameter :: nGC_5256 = 1058
  integer, parameter :: nGC_7703 = 1059
  integer, parameter :: nGC_5250 = 1060
  integer, parameter :: nGC_8054 = 1061
  integer, parameter :: nGC_405 = 1062
  integer, parameter :: nGC_5284 = 1063
  integer, parameter :: nGC_5193 = 1064
  integer, parameter :: nGC_10102 = 1065
  integer, parameter :: nGC_5195 = 1066
  integer, parameter :: nGC_9277 = 1067
  integer, parameter :: nGC_7635 = 1068
  integer, parameter :: nGC_7636 = 1069
  integer, parameter :: nGC_7630 = 1070
  integer, parameter :: nGC_4811 = 1071
  integer, parameter :: nGC_4959 = 1072
  integer, parameter :: nGC_4813 = 1073
  integer, parameter :: nGC_4812 = 1074
  integer, parameter :: nGC_4815 = 1075
  integer, parameter :: nGC_4817 = 1076
  integer, parameter :: nGC_4816 = 1077
  integer, parameter :: nGC_4819 = 1078
  integer, parameter :: nGC_4818 = 1079
  integer, parameter :: nGC_4952 = 1080
  integer, parameter :: nGC_4953 = 1081
  integer, parameter :: nGC_4954 = 1082
  integer, parameter :: nGC_4955 = 1083
  integer, parameter :: nGC_4956 = 1084
  integer, parameter :: nGC_4957 = 1085
  integer, parameter :: nGC_4899 = 1086
  integer, parameter :: nGC_14185 = 1087
  integer, parameter :: nGC_5109 = 1088
  integer, parameter :: nGC_8232 = 1089
  integer, parameter :: nGC_7559 = 1090
  integer, parameter :: nGC_5089 = 1091
  integer, parameter :: nGC_7550 = 1092
  integer, parameter :: nGC_7553 = 1093
  integer, parameter :: nGC_5103 = 1094
  integer, parameter :: nGC_9071 = 1095
  integer, parameter :: nGC_7566 = 1096
  integer, parameter :: nGC_1435 = 1097
  integer, parameter :: nGC_7915 = 1098
  integer, parameter :: nGC_8308 = 1099
  integer, parameter :: nGC_5036 = 1100
  integer, parameter :: nGC_5037 = 1101
  integer, parameter :: nGC_11328 = 1102
  integer, parameter :: nGC_5031 = 1103
  integer, parameter :: nGC_5032 = 1104
  integer, parameter :: nGC_5033 = 1105
  integer, parameter :: nGC_5038 = 1106
  integer, parameter :: nGC_5039 = 1107
  integer, parameter :: nGC_12520 = 1108
  integer, parameter :: nGC_8542 = 1109
  integer, parameter :: nGC_8942 = 1110
  integer, parameter :: nGC_8543 = 1111
  integer, parameter :: nGC_5358 = 1112
  integer, parameter :: nGC_8017 = 1113
  integer, parameter :: nGC_8545 = 1114
  integer, parameter :: nGC_8544 = 1115
  integer, parameter :: nGC_5352 = 1116
  integer, parameter :: nGC_5355 = 1117
  integer, parameter :: nGC_8781 = 1118
  integer, parameter :: nGC_8396 = 1119
  integer, parameter :: nGC_8397 = 1120
  integer, parameter :: nGC_8426 = 1121
  integer, parameter :: nGC_8423 = 1122
  integer, parameter :: nGC_7771 = 1123
  integer, parameter :: nGC_7772 = 1124
  integer, parameter :: nGC_7775 = 1125
  integer, parameter :: nGC_7777 = 1126
  integer, parameter :: nGC_7776 = 1127
  integer, parameter :: nGC_9267 = 1128
  integer, parameter :: nGC_4859 = 1129
  integer, parameter :: nGC_4991 = 1130
  integer, parameter :: nGC_7677 = 1131
  integer, parameter :: nGC_8161 = 1132
  integer, parameter :: nGC_8162 = 1133
  integer, parameter :: nGC_9068 = 1134
  integer, parameter :: nGC_8646 = 1135
  integer, parameter :: nGC_8647 = 1136
  integer, parameter :: nGC_4958 = 1137
  integer, parameter :: nGC_9199 = 1138
  integer, parameter :: nGC_9169 = 1139
  integer, parameter :: nGC_5438 = 1140
  integer, parameter :: nGC_10551 = 1141
  integer, parameter :: nGC_8266 = 1142
  integer, parameter :: nGC_9520 = 1143
  integer, parameter :: nGC_8342 = 1144
  integer, parameter :: nGC_5078 = 1145
  integer, parameter :: nGC_7583 = 1146
  integer, parameter :: nGC_7580 = 1147
  integer, parameter :: nGC_8159 = 1148
  integer, parameter :: nGC_7586 = 1149
  integer, parameter :: nGC_7585 = 1150
  integer, parameter :: nGC_5075 = 1151
  integer, parameter :: nGC_8868 = 1152
  integer, parameter :: nGC_4831 = 1153
  integer, parameter :: nGC_7786 = 1154
  integer, parameter :: nGC_8865 = 1155
  integer, parameter :: nGC_8867 = 1156
  integer, parameter :: nGC_10609 = 1157
  integer, parameter :: nGC_4966 = 1158
  integer, parameter :: nGC_5319 = 1159
  integer, parameter :: nGC_5022 = 1160
  integer, parameter :: nGC_7795 = 1161
  integer, parameter :: nGC_4996 = 1162
  integer, parameter :: nGC_5020 = 1163
  integer, parameter :: nGC_4810 = 1164
  integer, parameter :: nGC_8089 = 1165
  integer, parameter :: nGC_12822 = 1166
  integer, parameter :: nGC_12823 = 1167
  integer, parameter :: nGC_8741 = 1168
  integer, parameter :: nGC_8745 = 1169
  integer, parameter :: nGC_7730 = 1170
  integer, parameter :: nGC_7733 = 1171
  integer, parameter :: nGC_5382 = 1172
  integer, parameter :: nGC_4898 = 1173
  integer, parameter :: nGC_8684 = 1174
  integer, parameter :: nGC_4890 = 1175
  integer, parameter :: nGC_5388 = 1176
  integer, parameter :: nGC_4892 = 1177
  integer, parameter :: nGC_4897 = 1178
  integer, parameter :: nGC_4896 = 1179
  integer, parameter :: nGC_7678 = 1180
  integer, parameter :: nGC_4950 = 1181
  integer, parameter :: nGC_5187 = 1182
  integer, parameter :: nGC_5189 = 1183
  integer, parameter :: nGC_4964 = 1184
  integer, parameter :: nGC_7602 = 1185
  integer, parameter :: nGC_7605 = 1186
  integer, parameter :: nGC_4960 = 1187
  integer, parameter :: nGC_4962 = 1188
  integer, parameter :: nGC_4969 = 1189
  integer, parameter :: nGC_7918 = 1190
  integer, parameter :: nGC_4805 = 1191
  integer, parameter :: nGC_11206 = 1192
  integer, parameter :: nGC_10004 = 1193
  integer, parameter :: nGC_10005 = 1194
  integer, parameter :: nGC_7542 = 1195
  integer, parameter :: nGC_7543 = 1196
  integer, parameter :: nGC_8309 = 1197
  integer, parameter :: nGC_8648 = 1198
  integer, parameter :: nGC_7755 = 1199
  integer, parameter :: nGC_7751 = 1200
  integer, parameter :: nGC_7610 = 1201
  integer, parameter :: nGC_7611 = 1202
  integer, parameter :: nGC_8842 = 1203
  integer, parameter :: nGC_5001 = 1204
  integer, parameter :: nGC_7869 = 1205
  integer, parameter :: nGC_7903 = 1206
  integer, parameter :: nGC_7530 = 1207
  integer, parameter :: nGC_8095 = 1208
  integer, parameter :: nGC_8319 = 1209
  integer, parameter :: nGC_5000 = 1210
  integer, parameter :: nGC_7742 = 1211
  integer, parameter :: nGC_7743 = 1212
  integer, parameter :: nGC_7664 = 1213
  integer, parameter :: nGC_8658 = 1214
  integer, parameter :: nGC_8657 = 1215
  integer, parameter :: nGC_8893 = 1216
  integer, parameter :: nGC_8363 = 1217
  integer, parameter :: nGC_8362 = 1218
  integer, parameter :: nGC_13160 = 1219
  integer, parameter :: nGC_13163 = 1220
  integer, parameter :: nGC_9268 = 1221
  integer, parameter :: nGC_8977 = 1222
  integer, parameter :: nGC_9571 = 1223
  integer, parameter :: nGC_8792 = 1224
  integer, parameter :: nGC_8793 = 1225
  integer, parameter :: nGC_10327 = 1226
  integer, parameter :: nGC_8880 = 1227
  integer, parameter :: nGC_7756 = 1228
  integer, parameter :: nGC_7645 = 1229
  integer, parameter :: nGC_9875 = 1230
  integer, parameter :: nGC_7646 = 1231
  integer, parameter :: nGC_8278 = 1232
  integer, parameter :: nGC_8677 = 1233
  integer, parameter :: nGC_8116 = 1234
  integer, parameter :: nGC_8763 = 1235
  integer, parameter :: nGC_8265 = 1236
  integer, parameter :: nGC_7819 = 1237
  integer, parameter :: nGC_7589 = 1238
  integer, parameter :: nGC_8066 = 1239
  integer, parameter :: nGC_9591 = 1240
  integer, parameter :: nGC_8107 = 1241
  integer, parameter :: nGC_9200 = 1242
  integer, parameter :: nGC_7594 = 1243
  integer, parameter :: nGC_7947 = 1244
  integer, parameter :: nGC_8219 = 1245
  integer, parameter :: nGC_8218 = 1246
  integer, parameter :: nGC_7578 = 1247
  integer, parameter :: nGC_7571 = 1248
  integer, parameter :: nGC_12826 = 1249
  integer, parameter :: nGC_8119 = 1250
  integer, parameter :: nGC_8978 = 1251
  integer, parameter :: nGC_7839 = 1252
  integer, parameter :: nGC_7939 = 1253
  integer, parameter :: nGC_8120 = 1254
  integer, parameter :: nGC_8454 = 1255
  integer, parameter :: nGC_8325 = 1256
  integer, parameter :: nGC_8324 = 1257
  integer, parameter :: nGC_11210 = 1258
  integer, parameter :: nGC_8044 = 1259
  integer, parameter :: nGC_8045 = 1260
  integer, parameter :: nGC_7842 = 1261
  integer, parameter :: nGC_7847 = 1262
  integer, parameter :: nGC_14183 = 1263
  integer, parameter :: nGC_7722 = 1264
  integer, parameter :: nGC_7925 = 1265
  integer, parameter :: nGC_7926 = 1266
  integer, parameter :: nGC_7729 = 1267
  integer, parameter :: nGC_7921 = 1268
  integer, parameter :: nGC_8233 = 1269
  integer, parameter :: nGC_7558 = 1270
  integer, parameter :: nGC_8172 = 1271
  integer, parameter :: nGC_11117 = 1272
  integer, parameter :: nGC_8916 = 1273
  integer, parameter :: nGC_7744 = 1274
  integer, parameter :: nGC_9177 = 1275
  integer, parameter :: nGC_9462 = 1276
  integer, parameter :: nGC_9461 = 1277
  integer, parameter :: nGC_8108 = 1278
  integer, parameter :: nGC_7922 = 1279
  integer, parameter :: nGC_8432 = 1280
  integer, parameter :: nGC_8431 = 1281
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
